Subject: [bug#60521] [PATCH] home: Add home-stow-migration-service.

From: [email-masked]
Date: Sun, 12 Feb 2023 17:36:08 +0000

Dear Ludo, Andy and Bruno,
I apologize for the delay. I'm sending a v2, I should have addressed all 
of your concerns:

- I agree with you that this is not really Stow specific, so I renamed 
the service to home-dotfiles-service-type.
- I didn't think about this last time, but the way I use this service is 
by having an etc/ directory in my Guix Home git repository. I specified 
this in the manual to address reproducibility concerns.
- In general i gave some polish to everything.
- a nice future improvement could be adding an optional flag to guix 
home import to have your Stow directory automatically configured in your 
home-environment definition.

I hope everything is okay, thank you for your time.

giacomo